# Get info

> For the complete documentation index, see [llms.txt](/docs/llms.txt).

POST https://api.g.alchemy.com/hypercore/v1/{apiKey}/info

Execute a native-compatible HyperCore read selected by the required type discriminator.


Reference: https://www.alchemy.com/docs/data/hypercore/rest-api/hyper-core-data-api-endpoints/get-info

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| apiKey | string | Yes |  |

## Code Examples

### cURL

```bash
curl --request POST \
  --url https://api.g.alchemy.com/hypercore/v1/string/info \
  --header 'Content-Type: application/json' \
  --data '{
  "user": "string",
  "startTime": 1,
  "endTime": 1,
  "cursor": "string",
  "include": [
    "string"
  ],
  "type": "userFills"
}'
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    user: 'string',
    startTime: 1,
    endTime: 1,
    cursor: 'string',
    include: ['string'],
    type: 'userFills'
  })
};

fetch('https://api.g.alchemy.com/hypercore/v1/string/info', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.g.alchemy.com/hypercore/v1/string/info"

payload = {
    "user": "string",
    "startTime": 1,
    "endTime": 1,
    "cursor": "string",
    "include": ["string"],
    "type": "userFills"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.g.alchemy.com/hypercore/v1/string/info"

	payload := strings.NewReader("{\n  \"user\": \"string\",\n  \"startTime\": 1,\n  \"endTime\": 1,\n  \"cursor\": \"string\",\n  \"include\": [\n    \"string\"\n  ],\n  \"type\": \"userFills\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

### Java

```java
HttpResponse<String> response = Unirest.post("https://api.g.alchemy.com/hypercore/v1/string/info")
  .header("Content-Type", "application/json")
  .body("{\n  \"user\": \"string\",\n  \"startTime\": 1,\n  \"endTime\": 1,\n  \"cursor\": \"string\",\n  \"include\": [\n    \"string\"\n  ],\n  \"type\": \"userFills\"\n}")
  .asString();
```

### C#

```csharp
using RestSharp;


var options = new RestClientOptions("https://api.g.alchemy.com/hypercore/v1/string/info");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n  \"user\": \"string\",\n  \"startTime\": 1,\n  \"endTime\": 1,\n  \"cursor\": \"string\",\n  \"include\": [\n    \"string\"\n  ],\n  \"type\": \"userFills\"\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);

```


## Operation Specification

```yaml
path: /{apiKey}/info
method: POST
operation:
  operationId: get-info
  summary: Get info
  description: |
    Execute a native-compatible HyperCore read selected by the required type discriminator.
  parameters:
    - name: apiKey
      in: path
      required: true
      schema:
        type: string
  requestBody:
    required: true
    content:
      application/json:
        schema:
          anyOf:
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: userFills
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                    - startTime
                    - endTime
                  properties:
                    type:
                      const: userFillsByTime
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: historicalOrders
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: userFunding
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: userNonFundingLedgerUpdates
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: delegations
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: delegatorHistory
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: clearinghouseState
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: spotClearinghouseState
            - allOf:
                - type: object
                  required:
                    - user
                  properties:
                    user:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: EVM-style account address.
                    startTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    endTime:
                      type: integer
                      format: int64
                      description: Unix timestamp in milliseconds.
                    cursor:
                      type: string
                      description: Opaque cursor. Store and return it unmodified; its format may change.
                    include:
                      type: array
                      items:
                        type: string
                - type: object
                  required:
                    - type
                  properties:
                    type:
                      const: frontendOpenOrders
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  description: HyperCore `/info` request discriminator. Most values are native-compatible reads; `l4Snapshots` and `triggerOrderSnapshot` are Alchemy-original snapshot reads. The `portfolioState` and `extraAgents` composites are not `/info` discriminators; they are exposed as purpose-built endpoints at `/portfolio-state` and `/extra-agents`.
                  enum:
                    - openOrders
                    - frontendOpenOrders
                    - userFills
                    - userFillsByTime
                    - historicalOrders
                    - userFunding
                    - userNonFundingLedgerUpdates
                    - clearinghouseState
                    - spotClearinghouseState
                    - userRateLimit
                    - maxBuilderFee
                    - subAccounts
                    - userVaultEquities
                    - userRole
                    - userFees
                    - userDexAbstraction
                    - allMids
                    - candleSnapshot
                    - l4Snapshots
                    - triggerOrderSnapshot
                    - meta
                    - spotMeta
                    - metaAndAssetCtxs
                    - spotMetaAndAssetCtxs
                    - activeAssetData
                    - predictedFundings
                    - spotDeployState
                    - perpDeployAuctionStatus
                    - spotPairDeployAuctionStatus
                    - vaultSummaries
                    - vaultDetails
                    - leadingVaults
                    - delegations
                    - delegatorSummary
                    - delegatorHistory
                    - delegatorRewards
                    - validatorL1Votes
                    - outcomeMeta
                    - settledOutcome
                    - outcomeTemplates
                    - exchangeStatus
                    - liquidatable
                    - maxMarketOrderNtls
                    - userToMultiSigSigners
                    - perpsAtOpenInterestCap
                    - marginTable
                    - perpDexs
                    - webData2
                user:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: EVM-style account address.
                dex:
                  type: string
                  description: Perpetual DEX name. The empty string selects the first perpetual DEX.
                builder:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: EVM-style account address.
                coin:
                  type: string
                startTime:
                  type: integer
                  format: int64
                  description: Unix timestamp in milliseconds.
                endTime:
                  type: integer
                  format: int64
                  description: Unix timestamp in milliseconds.
                interval:
                  type: string
                vaultAddress:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: EVM-style account address.
                outcome:
                  type: integer
                includeUsers:
                  type: boolean
                includeTriggerOrders:
                  type: boolean
              additionalProperties: true
              description: The fields required with `type` are defined by the selected native read.
          discriminator:
            propertyName: type
            mapping:
              userFills: '#/components/schemas/UserFillsRequest'
              userFillsByTime: '#/components/schemas/UserFillsByTimeRequest'
              historicalOrders: '#/components/schemas/HistoricalOrdersRequest'
              userFunding: '#/components/schemas/UserFundingRequest'
              userNonFundingLedgerUpdates: '#/components/schemas/UserLedgerRequest'
              delegations: '#/components/schemas/DelegationsRequest'
              delegatorHistory: '#/components/schemas/DelegatorHistoryRequest'
              clearinghouseState: '#/components/schemas/ClearinghouseStateRequest'
              spotClearinghouseState: '#/components/schemas/SpotClearinghouseStateRequest'
              frontendOpenOrders: '#/components/schemas/FrontendOpenOrdersRequest'
              openOrders: '#/components/schemas/InfoTypeRequest'
              userRateLimit: '#/components/schemas/InfoTypeRequest'
              maxBuilderFee: '#/components/schemas/InfoTypeRequest'
              subAccounts: '#/components/schemas/InfoTypeRequest'
              userVaultEquities: '#/components/schemas/InfoTypeRequest'
              userRole: '#/components/schemas/InfoTypeRequest'
              userFees: '#/components/schemas/InfoTypeRequest'
              userDexAbstraction: '#/components/schemas/InfoTypeRequest'
              allMids: '#/components/schemas/InfoTypeRequest'
              candleSnapshot: '#/components/schemas/InfoTypeRequest'
              l4Snapshots: '#/components/schemas/InfoTypeRequest'
              triggerOrderSnapshot: '#/components/schemas/InfoTypeRequest'
              meta: '#/components/schemas/InfoTypeRequest'
              spotMeta: '#/components/schemas/InfoTypeRequest'
              metaAndAssetCtxs: '#/components/schemas/InfoTypeRequest'
              spotMetaAndAssetCtxs: '#/components/schemas/InfoTypeRequest'
              activeAssetData: '#/components/schemas/InfoTypeRequest'
              predictedFundings: '#/components/schemas/InfoTypeRequest'
              spotDeployState: '#/components/schemas/InfoTypeRequest'
              perpDeployAuctionStatus: '#/components/schemas/InfoTypeRequest'
              spotPairDeployAuctionStatus: '#/components/schemas/InfoTypeRequest'
              vaultSummaries: '#/components/schemas/InfoTypeRequest'
              vaultDetails: '#/components/schemas/InfoTypeRequest'
              leadingVaults: '#/components/schemas/InfoTypeRequest'
              delegatorSummary: '#/components/schemas/InfoTypeRequest'
              delegatorRewards: '#/components/schemas/InfoTypeRequest'
              validatorL1Votes: '#/components/schemas/InfoTypeRequest'
              outcomeMeta: '#/components/schemas/InfoTypeRequest'
              settledOutcome: '#/components/schemas/InfoTypeRequest'
              outcomeTemplates: '#/components/schemas/InfoTypeRequest'
              exchangeStatus: '#/components/schemas/InfoTypeRequest'
              liquidatable: '#/components/schemas/InfoTypeRequest'
              maxMarketOrderNtls: '#/components/schemas/InfoTypeRequest'
              userToMultiSigSigners: '#/components/schemas/InfoTypeRequest'
              perpsAtOpenInterestCap: '#/components/schemas/InfoTypeRequest'
              marginTable: '#/components/schemas/InfoTypeRequest'
              perpDexs: '#/components/schemas/InfoTypeRequest'
              webData2: '#/components/schemas/InfoTypeRequest'
        examples:
          userFills:
            value:
              type: userFills
              user: '0x1111111111111111111111111111111111111111'
          userFillsByTime:
            value:
              type: userFillsByTime
              user: '0x1111111111111111111111111111111111111111'
              startTime: 1780000000000
              endTime: 1780086400000
  responses:
    '200':
      description: Successful native-compatible response.
      content:
        application/json:
          schema: {}
          examples:
            openOrders:
              value:
                - coin: BTC
                  limitPx: '29792.0'
                  oid: 91490942
                  side: A
                  sz: '0.0'
                  timestamp: 1681247412573
            frontendOpenOrders:
              value:
                - coin: BTC
                  isPositionTpsl: false
                  isTrigger: false
                  limitPx: '29792.0'
                  oid: 91490942
                  orderType: Limit
                  origSz: '5.0'
                  reduceOnly: false
                  side: A
                  sz: '5.0'
                  timestamp: 1681247412573
                  triggerCondition: N/A
                  triggerPx: '0.0'
            userRateLimit:
              value:
                cumVlm: '2854574.593578'
                nRequestsUsed: 2890
                nRequestsCap: 2864574
            maxBuilderFee:
              value: 1
            subAccounts:
              value:
                - name: Test
                  subAccountUser: '0x035605fc2f24d65300227189025e90a0d947f16c'
                  master: '0x8c967e73e6b15087c42a10d344cff4c96d877f1d'
                  clearinghouseState:
                    marginSummary:
                      accountValue: '29.78001'
                      totalNtlPos: '0.0'
                      totalRawUsd: '29.78001'
                      totalMarginUsed: '0.0'
                    crossMarginSummary:
                      accountValue: '29.78001'
                      totalNtlPos: '0.0'
                      totalRawUsd: '29.78001'
                      totalMarginUsed: '0.0'
                    crossMaintenanceMarginUsed: '0.0'
                    withdrawable: '29.78001'
                    assetPositions: []
                    time: 1733968369395
                  spotState:
                    balances:
                      - coin: USDC
                        token: 0
                        total: '0.22'
                        hold: '0.0'
                        entryNtl: '0.0'
            userVaultEquities:
              value:
                - vaultAddress: '0xdfc24b077bc1425ad1dea75bcb6f8158e10df303'
                  equity: '742500.082809'
            userRole:
              value:
                role: user
            userFees:
              value:
                dailyUserVlm:
                  - date: '2025-05-23'
                    userCross: '0.0'
                    userAdd: '0.0'
                    exchange: '2852367.0770729999'
                userCrossRate: '0.000315'
                userAddRate: '0.000105'
                userSpotCrossRate: '0.00049'
                userSpotAddRate: '0.00028'
                activeReferralDiscount: '0.0'
                trial: null
                feeTrialReward: '0.0'
                nextTrialAvailableTimestamp: null
            delegations:
              value:
                - validator: '0x5ac99df645f3414876c816caa18b2d234024b487'
                  amount: '12060.16529862'
                  lockedUntilTimestamp: 1735466781353
            delegatorSummary:
              value:
                delegated: '12060.16529862'
                undelegated: '0.0'
                totalPendingWithdrawal: '0.0'
                nPendingWithdrawals: 0
            userDexAbstraction:
              value: true
```
